Bug 1393501 - Automate Simulate - does not use input field message.
Summary: Automate Simulate - does not use input field message.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: drew uhlmann
QA Contact: Dmitry Misharov
URL:
Whiteboard: automate
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-09 17:01 UTC by Tina Fitzgerald
Modified: 2018-06-04 12:07 UTC (History)
5 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:39:50 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Tina Fitzgerald 2016-11-09 17:01:58 UTC
Description of problem:
Simulate allows you to pass a message to Automate which is supposed to match the instance message in order to have the instance resolved. It looks like the  message is not be passed. 

Steps to Reproduce:
Navigate to Automate -> Simulate
Object Details:
System/Process  Request
Message         Fred
Request         inspectme
Submit

Check the automation.log to see that the inspectme method ran. 

Sample output:
INFO -- : <AEMethod inspectme> Root:<$evm.root> Attributes - Begin
Attribute - ae_provider_category: unknown
INFO -- : <AEMethod inspectme>   Attribute - miq_group: #<MiqAeMethodService::MiqAeServiceMiqGroup:0x007f8c28a855f0>
INFO -- : <AEMethod inspectme>   Attribute - miq_server: #<MiqAeMethodService::MiqAeServiceMiqServer:0x007f8c2884ee58>
INFO -- : <AEMethod inspectme>   Attribute - miq_server_id: 1
INFO -- : <AEMethod inspectme>   Attribute - object_name: Request
INFO -- : <AEMethod inspectme>   Attribute - request: inspectme
INFO -- : <AEMethod inspectme>   Attribute - service: #<MiqAeMethodService::MiqAeServiceService:0x007f8c28b2b6d0>
INFO -- : <AEMethod inspectme>   Attribute - service_id: 110
INFO -- : <AEMethod inspectme>   Attribute - tenant: #<MiqAeMethodService::MiqAeServiceTenant:0x007f8c28e70660>
INFO -- : <AEMethod inspectme>   Attribute - user: #<MiqAeMethodService::MiqAeServiceUser:0x007f8c28d76480>
INFO -- : <AEMethod inspectme>   Attribute - user_id: 1
INFO -- : <AEMethod inspectme>   Attribute - vmdb_object_type: service
INFO -- : <AEMethod inspectme> Root:<$evm.root> Attributes - End


Expected results:  The inspectme method should not have run since the message passed was 'fred' and the message conditioning inspectme is 'create'.

Comment 2 Tina Fitzgerald 2016-11-09 17:34:22 UTC
Automation.log Instantiate log message should include message, but doesnt.

Simulate:
[----] I, [2016-11-09T11:47:19.141821 #4456:3fc61e2848fc]  INFO -- : Instantiating [/SYSTEM/PROCESS/Request?MiqServer%3A%3Amiq_server=1&Service%3A%3Aservice=110&User%3A%3Auser=1&object_name=Request&request=inspectme&vmdb_object_type=service]


Instantiate example showing message passed as object_message
[----] I, [2016-11-07T13:39:06.817591 #49663:3fd041860208]  INFO -- : Q-task_id([automation_task_312]) Instantiating [/SYSTEM/PROCESS/Request?AutomationTask%3A%3Aautomation_task=312&MiqServer%3A%3Amiq_server=1&User%3A%3Auser=1&attrs=%5B%5B%22namespace%22%2C%20%22%2Fsystem%22%5D%2C%20%5B%22class%22%2C%20%22request%22%5D%2C%20%5B%22instance%22%2C%20%22inspectme%22%5D%5D&instance_name=Request&object_message=create&object_name=Request&request=inspectme&target_class=Vm&target_id=2121&userid=admin&vmdb_object_type=automation_task]

Comment 3 drew uhlmann 2017-03-07 20:22:14 UTC
https://github.com/ManageIQ/manageiq/pull/14221

Comment 5 drew uhlmann 2017-03-08 22:13:51 UTC
I lied. Sorry. This one: https://github.com/ManageIQ/manageiq/pull/14237

Comment 6 Satoe Imaishi 2017-03-24 18:18:49 UTC
New PR: https://github.com/ManageIQ/manageiq-ui-classic/pull/742

Comment 7 Milan Falešník 2017-03-30 09:59:05 UTC
Verified in 5.8.0.8.

The message is correctly passed into /System/Process/ instances

Comment 9 errata-xmlrpc 2017-05-31 14:39:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.